<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet exclude-result-prefixes="#all" xmlns="urn:hl7-org:v3" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0" xmlns:hl7="urn:hl7-org:v3" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <xsl:output method="xml" indent="yes"/>
    <xsl:strip-space elements="*"/>
    <!-- Transforms MP 9.0.6 message/CDA into MP 9.0.7 -->

    <!-- Nictiz specific stuff for example XML instances -->
    <!-- comment out when not dealing with Nictiz example XML instances -->
    <xsl:include href="MP906_Transform_MP907_nictiz_instances.xsl"/>
    <!-- Nieuwe template ids door non-backwards compatible wijzigingen, 
        issue 363: geneesmiddel coderingen - alle bouwstenen -->
    <!-- MA van 9216 naar 9235 en 9233 toevoegen-->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9216']">
        <xsl:copy>
            <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9235</xsl:attribute>
        </xsl:copy>
        <templateId root="2.16.840.1.113883.2.4.3.11.60.20.77.10.9233"/>
    </xsl:template>
    <!-- andermans MA van 9202 naar 9241 en 9233 toevoegen -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9202']">
        <xsl:copy>
            <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9241</xsl:attribute>
        </xsl:copy>
        <templateId root="2.16.840.1.113883.2.4.3.11.60.20.77.10.9233"/>
    </xsl:template>
    <!-- VV van 9231 naar 9257 -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9231']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9257</xsl:attribute>
    </xsl:template>
    <!-- TA van 9223 naar 9259 en 9256 toevoegen-->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9223']">
        <xsl:copy>
            <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9259</xsl:attribute>
        </xsl:copy>
        <templateId root="2.16.840.1.113883.2.4.3.11.60.20.77.10.9256"/>
    </xsl:template>
    <!-- andermans TA van 9205 naar 9258 en 9256 toevoegen-->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9205']">
        <xsl:copy>
            <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9258</xsl:attribute>
        </xsl:copy>
        <templateId root="2.16.840.1.113883.2.4.3.11.60.20.77.10.9256"/>
    </xsl:template>
    <!-- MVE van 9094 naar 9255 -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9094']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9255</xsl:attribute>
    </xsl:template>
    <!--  MGB van 9224 naar 9246 en 9250 toevoegen-->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9224']">
        <xsl:copy>
            <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9246</xsl:attribute>
        </xsl:copy>
        <templateId root="2.16.840.1.113883.2.4.3.11.60.20.77.10.9250"/>
    </xsl:template>
    <!-- andermans MGB van 9209 naar 9248 -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9209']">
        <xsl:copy>
            <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9248</xsl:attribute>
        </xsl:copy>
        <templateId root="2.16.840.1.113883.2.4.3.11.60.20.77.10.9250"/>
    </xsl:template>
    <!-- Medicatiegegevens organizer van 9221 naar 9239 -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9221']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9239</xsl:attribute>
    </xsl:template>
    <!-- Medicatiegegevens CDA van 9222 naar 9236 -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9222']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9236</xsl:attribute>
    </xsl:template>
    <!-- Medicatievoorschrift CDA van 9219 naar 9237 -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9219']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9237</xsl:attribute>
    </xsl:template>
    <!-- Medicatievoorschrift organizer van 9217 naar 9240 -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9217']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9240</xsl:attribute>
    </xsl:template>
    <!-- Medicatieoverzicht CDA van 9207 naar 9243 -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9207']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9243</xsl:attribute>
    </xsl:template>
    <!-- Medicatieoverzicht organizer van 9204 naar 9245 -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9204']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9245</xsl:attribute>
    </xsl:template>
    <!-- Afhandelen voorschrift organizer van 9228 naar 9260 -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9228']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9260</xsl:attribute>
    </xsl:template>
    <!-- Afhandelen voorschrift organizer van 9229 naar 9261 -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9229']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9261</xsl:attribute>
    </xsl:template>
    <!-- Sturen medicatiegebruik CDA van 9227 naar 9249 -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9227']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9249</xsl:attribute>
    </xsl:template>
    <!-- Sturen medicatiegebruik organizer van 9225 naar 9252 -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9225']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9252</xsl:attribute>
    </xsl:template>
    <!-- issue 360 voor lengte/gewicht nu gebruik maken van zib templates -->
    <!-- lengte -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9122']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.7.10.30</xsl:attribute>
    </xsl:template>
    <!-- gewicht -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9123']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.7.10.28</xsl:attribute>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '3142-7']/@code">
        <xsl:attribute name="code">29463-7</xsl:attribute>
    </xsl:template>
    <!-- 90 miljoennummers toestaan om uit te wisselen -->
    <!-- template id's voor farmaceutische product (geneesmiddel) -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9070']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9254</xsl:attribute>
    </xsl:template>
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9163']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9263</xsl:attribute>
    </xsl:template>
    <!-- author templateId is optioneel -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9066']"/>
    <!-- issue 355 - reden MA/MGB -->
    <!-- MA reden template id van 9068 naar 9270 -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9068']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9270</xsl:attribute>
    </xsl:template>
    <!-- MGB reden template id van 9115 naar 9271 -->
    <xsl:template match="hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9115']/@root">
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.60.20.77.10.9271</xsl:attribute>
    </xsl:template>
    <!-- reden starten medicamenteuze behandeling verwijderen -->
    <xsl:template match="*[*[hl7:templateId/@root = ('2.16.840.1.113883.2.4.3.11.60.20.77.10.9068','2.16.840.1.113883.2.4.3.11.60.20.77.10.9115')][hl7:value/@code='266709005']]"/>
    <!-- reden overgevoeligheid / bijwerking bijwerken -->
    <xsl:template match="*[hl7:templateId/@root = ('2.16.840.1.113883.2.4.3.11.60.20.77.10.9068','2.16.840.1.113883.2.4.3.11.60.20.77.10.9115')]/hl7:value[@code=('473010000','7')]">
        <value xsi:type="CE" code="16" displayName="Allergie of non-allergische overgevoeligheid of bijwerking" codeSystem="2.16.840.1.113883.2.4.3.11.60.20.77.5.2.2"/>
    </xsl:template>      

    <!-- Default copy xsl template -->
    <xsl:template match="@* | node()">
        <xsl:copy>
            <xsl:apply-templates select="@* | node()"/>
        </xsl:copy>
    </xsl:template>
</xsl:stylesheet>
