<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet exclude-result-prefixes="#all" xmlns="urn:hl7-org:v3" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0" xmlns:hl7="urn:hl7-org:v3" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <xsl:output method="xml" indent="yes"/>
    <xsl:strip-space elements="*"/>
    
    <!-- werkadres beroepsbeoefenaar in MA en VV -->
    <xsl:template match="hl7:substanceAdministration[hl7:templateId/@root = ('2.16.840.1.113883.2.4.3.11.60.20.77.10.9216','2.16.840.1.113883.2.4.3.11.60.20.77.10.9202')]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization[not(hl7:addr)]/hl7:name | hl7:supply[hl7:templateId/@root = '2.16.840.1.113883.2.4.3.11.60.20.77.10.9231']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization[not(hl7:addr)]/hl7:name">
        <xsl:copy>
            <xsl:apply-templates select="@* | node()"/>
        </xsl:copy>
        <addr use="WP">
            <streetName>Dorpsstraat</streetName>
            <houseNumber>10</houseNumber>
            <postalCode>1111 AA</postalCode>
            <city>Ons Dorp</city>
        </addr>
    </xsl:template>
    
    <!-- add effectiveTime for lengte/gewicht -->
    <!-- lengte -->
    <xsl:template match="*[hl7:templateId/@root = ('2.16.840.1.113883.2.4.3.11.60.20.77.10.9122','2.16.840.1.113883.2.4.3.11.60.20.77.10.9123')][not(hl7:effectiveTime)]/hl7:code">
        <xsl:copy>
            <xsl:apply-templates select="@* | node()"/>
        </xsl:copy>
        <effectiveTime value="20151219"/>
    </xsl:template>
    

    <!-- add translations for products in example messages -->
    <xsl:template match="hl7:code[@code = '13659847' and @codeSystem = '2.16.840.1.113883.2.4.4.8']">
        <!-- 13659847 is vervallen -->
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <xsl:attribute name="code">15516873</xsl:attribute>
            <xsl:attribute name="displayName">NUTRIDRINK AARDBEI</xsl:attribute>
            <translation code="710695" displayName="NUTRIDRINK AARDBEI" codeSystem="2.16.840.1.113883.2.4.4.7" codeSystemName="G-Standaard HPK"/>
            <translation code="88749" displayName="NUTRIDRINK AARDBEI" codeSystem="2.16.840.1.113883.2.4.4.10" codeSystemName="G-Standaard PRK"/>
            <translation code="130575" displayName="VLOEIBARE VOEDING MET O.A. VITAMINE K" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '13291459' and @codeSystem = '2.16.840.1.113883.2.4.4.8']">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <!-- kies voor een recenter artikel voor de zekerheid -->
            <xsl:attribute name="code">14983265</xsl:attribute>
            <xsl:attribute name="displayName">PRIMPERAN ZETPIL 20MG</xsl:attribute>
            <translation code="229709" displayName="PRIMPERAN ZETPIL 20MG" codeSystem="2.16.840.1.113883.2.4.4.7" codeSystemName="G-Standaard HPK"/>
            <translation code="6939" displayName="METOCLOPRAMIDE ZETPIL 20MG" codeSystem="2.16.840.1.113883.2.4.4.10" codeSystemName="G-Standaard PRK"/>
            <translation code="63630" displayName="METOCLOPRAMIDE ZETPIL 20MG" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>

    <xsl:template match="hl7:code[@code = '615560' and @codeSystem = '2.16.840.1.113883.2.4.4.7']">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <translation code="26638" displayName="LISINOPRIL TABLET 10MG" codeSystem="2.16.840.1.113883.2.4.4.10" codeSystemName="G-Standaard PRK"/>
            <translation code="71587" displayName="LISINOPRIL TABLET 10MG" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '15939561' and @codeSystem = '2.16.840.1.113883.2.4.4.8']">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <translation code="2362260" displayName="HYDROCORTISON VASELINECREME 1% PHL" codeSystem="2.16.840.1.113883.2.4.4.7" codeSystemName="G-Standaard HPK"/>
            <translation code="10146" displayName="HYDROCORTISON-ACETAAT CREME 10MG/G" codeSystem="2.16.840.1.113883.2.4.4.10" codeSystemName="G-Standaard PRK"/>
            <translation code="26646" displayName="HYDROCORTISON-ACETAAT CREME 10MG/G" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '67903' and @codeSystem = '2.16.840.1.113883.2.4.4.10']">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <translation code="2194" displayName="PARACETAMOL TABLET 500MG" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '94692' and @codeSystem = '2.16.840.1.113883.2.4.4.10']">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <translation code="134538" displayName="MORFINE INFVLST 5MG/ML (HCL)" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '6009' and @codeSystem = '2.16.840.1.113883.2.4.4.10']">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <translation code="42609" displayName="METHOTREXAAT TABLET 2,5MG" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '6939' and @codeSystem = '2.16.840.1.113883.2.4.4.10']">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <translation code="63630" displayName="METOCLOPRAMIDE ZETPIL 20MG" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '133329' and @codeSystem = '2.16.840.1.113883.2.4.4.10' and contains(upper-case(@displayName), 'METOCLOPRAMIDE')]">
        <!-- Dit is een verkeerde codering bij het geneesmiddel -->
        <code code="6939" codeSystem="2.16.840.1.113883.2.4.4.10" codeSystemName="G-Standaard PRK" displayName="METOCLOPRAMIDE ZETPIL 20MG">
            <translation code="63630" displayName="METOCLOPRAMIDE ZETPIL 20MG" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>            
        </code>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '59919' and @codeSystem = '2.16.840.1.113883.2.4.4.10']">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <translation code="115371" displayName="TIOTROPIUM INHALATIECAPSULE 18UG" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '14750406' and @codeSystem = '2.16.840.1.113883.2.4.4.8']">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <!-- kies voor een recenter artikel voor de zekerheid -->
            <xsl:attribute name="code">15758001</xsl:attribute>
            <xsl:attribute name="displayName">SPIRIVA INHALPDR 18MCG</xsl:attribute>
            <translation code="1476866" displayName="SPIRIVA INHALPDR 18MCG" codeSystem="2.16.840.1.113883.2.4.4.7" codeSystemName="G-Standaard HPK"/>
            <translation code="59919" displayName="TIOTROPIUM INHALATIECAPSULE 18UG" codeSystem="2.16.840.1.113883.2.4.4.10" codeSystemName="G-Standaard PRK"/>
            <translation code="115371" displayName="TIOTROPIUM INHALATIECAPSULE 18UG" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '49484' and @codeSystem = '2.16.840.1.113883.2.4.4.10']">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <translation code="103039" displayName="ACETYLSALICYLZUUR TABLETMSR 100MG" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '53902' and @codeSystem = '2.16.840.1.113883.2.4.4.10']">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <translation code="108251" displayName="INSULINE ASPART INJVLST 100E/ML" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '44520' and @codeSystem = '2.16.840.1.113883.2.4.4.10']">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <translation code="98477" displayName="NITROGLYCERINE PLEISTER 5MG/24UUR (DEPONIT T)" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '5509' and @codeSystem = '2.16.840.1.113883.2.4.4.10']">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <translation code="15865" displayName="METFORMINE TABLET 850MG" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '16292' and @codeSystem = '2.16.840.1.113883.2.4.4.10']">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <translation code="39578" displayName="ETHINYLESTRADIOL/DESOGESTREL TABLET 30/150UG" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '72664' and @codeSystem = '2.16.840.1.113883.2.4.4.10']">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <translation code="119903" displayName="WATERSTOFPEROXIDE CONC VOOR MONDSPOELING 30MG/ML" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>
    <xsl:template match="hl7:code[@code = '16705' and @codeSystem = '2.16.840.1.113883.2.4.4.10']">
        <xsl:copy>
            <xsl:apply-templates select="@*"/>
            <translation code="73466" displayName="FUSIDINEZUUR CREME 20MG/G" codeSystem="2.16.840.1.113883.2.4.4.1" codeSystemName="G-Standaard GPK"/>
        </xsl:copy>
    </xsl:template>
    
    
    <!-- update OID's for bouwstenen identifications -->
    <!-- MBH -->
    <xsl:template match="hl7:procedure[hl7:templateId/@root = ('2.16.840.1.113883.2.4.3.11.60.20.77.10.9084')]/hl7:id/@root"> 
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.999.77.1.1</xsl:attribute>
    </xsl:template>
    <!-- MA -->
    <xsl:template match="hl7:substanceAdministration[hl7:templateId/@root = ('2.16.840.1.113883.2.4.3.11.60.20.77.10.9202', '2.16.840.1.113883.2.4.3.11.60.20.77.10.9216', '2.16.840.1.113883.2.4.3.11.60.20.77.10.9086')]/hl7:id/@root"> 
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.999.77.16076005.1</xsl:attribute>
    </xsl:template>
    <!-- VV -->
    <xsl:template match="hl7:supply[hl7:templateId/@root = ('2.16.840.1.113883.2.4.3.11.60.20.77.10.9231', '2.16.840.1.113883.2.4.3.11.60.20.77.10.9096')]/hl7:id/@root"> 
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.999.77.52711000146108.1</xsl:attribute>
    </xsl:template>
    <!-- TA -->
    <xsl:template match="hl7:substanceAdministration[hl7:templateId/@root = ('2.16.840.1.113883.2.4.3.11.60.20.77.10.9205','2.16.840.1.113883.2.4.3.11.60.20.77.10.9223', '2.16.840.1.113883.2.4.3.11.60.20.77.10.9101')]/hl7:id/@root"> 
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.999.77.422037009.1</xsl:attribute>
    </xsl:template>
    <!-- MVE -->
    <xsl:template match="hl7:supply[hl7:templateId/@root = ('2.16.840.1.113883.2.4.3.11.60.20.77.10.9094')]/hl7:id/@root"> 
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.999.77.373784005.1</xsl:attribute>
    </xsl:template>
    <!-- MGB -->
    <xsl:template match="hl7:substanceAdministration[hl7:templateId/@root = ('2.16.840.1.113883.2.4.3.11.60.20.77.10.9176','2.16.840.1.113883.2.4.3.11.60.20.77.10.9209', '2.16.840.1.113883.2.4.3.11.60.20.77.10.9224')]/hl7:id/@root"> 
        <xsl:attribute name="root">2.16.840.1.113883.2.4.3.11.999.77.6.1</xsl:attribute>
    </xsl:template>
    
</xsl:stylesheet>
